Deployments
List deployment replicas
GET
/
v1
/
deployments
/
{deployment_id}
/
replicas
List deployment replicas
curl --request GET \
--url https://api.veri.studio/v1/deployments/{deployment_id}/replicas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/deployments/{deployment_id}/replicas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/deployments/{deployment_id}/replicas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"id": "<string>",
"status": "<string>",
"endpoint_available": true,
"provider": "<string>",
"region": "<string>",
"gpu_type": "<string>",
"gpu_count": 123,
"cost_per_box_hour_usd": 123,
"started_at": "2023-11-07T05:31:56Z",
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"requests_running": 123,
"requests_waiting": 123,
"kv_cache_usage": 123,
"gpu_utilization": 123,
"gpu_memory_used_bytes": 123,
"gpu_memory_total_bytes": 123,
"gpu_power_w": 123,
"gpu_temperature_c": 123,
"gpu_devices": [
{
"index": 123,
"utilization": 123,
"memory_used_bytes": 123,
"memory_total_bytes": 123,
"power_w": 123,
"temperature_c": 123
}
],
"replace_requested_at": "2023-11-07T05:31:56Z",
"replaces_replica_id": "<string>",
"replace_error": "<string>"
}
],
"has_more": true
}List deployment replicas
curl --request GET \
--url https://api.veri.studio/v1/deployments/{deployment_id}/replicas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/deployments/{deployment_id}/replicas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/deployments/{deployment_id}/replicas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"id": "<string>",
"status": "<string>",
"endpoint_available": true,
"provider": "<string>",
"region": "<string>",
"gpu_type": "<string>",
"gpu_count": 123,
"cost_per_box_hour_usd": 123,
"started_at": "2023-11-07T05:31:56Z",
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"requests_running": 123,
"requests_waiting": 123,
"kv_cache_usage": 123,
"gpu_utilization": 123,
"gpu_memory_used_bytes": 123,
"gpu_memory_total_bytes": 123,
"gpu_power_w": 123,
"gpu_temperature_c": 123,
"gpu_devices": [
{
"index": 123,
"utilization": 123,
"memory_used_bytes": 123,
"memory_total_bytes": 123,
"power_w": 123,
"temperature_c": 123
}
],
"replace_requested_at": "2023-11-07T05:31:56Z",
"replaces_replica_id": "<string>",
"replace_error": "<string>"
}
],
"has_more": true
}
